/*
 *
 * [desc.]
 */
#include "Tools/Viewer/Bdd/include/BaseP.h"

namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     
 
  void BaseP::setComment(string s){
    comment=s;
  }
  void BaseP::setLevel(int s){
    level=s;
  }
 
  void BaseP::setArchitecture(Architecture *a)
  {
    archi=a;
  }

  void BaseP::setEntity(Entity *e)
  {
    ent=e;
  }

  morpheo::tools::viewer::bdd::Entity *BaseP::getEntity(){
    return ent;
  }

  morpheo::tools::viewer::bdd::Architecture *BaseP::getArchitecture(){
    return archi;
  }

  string BaseP::getComment()
  {
    return comment;
  }
  int BaseP::getLevel()
  {
    return level;
  }

    QList<morpheo::tools::viewer::bdd::Component> *BaseP::getComponent()
  {
    return archi->getComponent();
  }

};//end bdd
};//end viewer
};//end tools
};//end morpheo
